GROUPMOD(8)

NAZWA
groupmod - modyfikuj definicję grupy systemowej

SKŁADNIA

groupmod [opcje] GRUPA

OPIS

Polcenie groupmod modifikuje definicję grupy GRUPA poprzez modifikację stosownego wpisu w bazie grup.

OPCJE

Polecenie groupmod posiada następujące opcje:

-g, --gidGID
    Nowa wartość ID grupy GRUPA. Numeryczna wartość GID musi mieć nieujemną wartość całkowitą. Wartość ta musi być unikalna chyba że użyto opcji -o. Wartości pomiędzy 0 a 999 są zwykle zarezerwowane dla grup systemowych. Pliki, dla których stary identyfikator jest identyfikatorem grupy pliku, wymagają ręcznej zmiany ID grupy.

-h, --help
    Wyświetlenie komunikatu pomocy i zakończenie działania.

-a, --appendNOWA_GRUPA
    Nazwa grupy zostanie zmieniona z GRUPA na nazwę NOWA_GRUPA.

-o, --non-unique
    Użyte z opcją -g umożliwia zmiane GID grupy na wartość nieunikalną.

PLIKI

/etc/group
    Informacje o grupach użytkowników.

/etc/gshadow
    Informacje chronione o grupach użytkowników.

KOD ZAKOŃCZENIA

Polecenie groupmod kończy działanie z następującymi wartościami kodów zakończenia:

0
    poprawne zakończenie działania programu

2
    niepoprawna składnia polecenia

3
    nieprawidłowy argument opcji

4
    specified group doesn't exist

6
    specified group doesn't exist

9
    nazwa grupy już jest w użyciu

10
    nie można zaktualizować pliku z grupami

ZOBACZ TAKŻE

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).